<?php

namespace Pinpoint\Feefo\Model;

/**
 * Class FeefoReview
 * @package Pinpoint\Feefo\Model
 */
class FeefoReview extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\Feefo\Api\Data\FeefoReviewInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_feefo_feeforeview';

    /**
     * construct
     */
    protected function _construct()
    {
        $this->_init('Pinpoint\Feefo\Model\ResourceModel\FeefoReview');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
